package de.subway_surfers.vpr_app;

import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.geometry.Pos;
import javafx.scene.Node;
import javafx.scene.control.Control;
import javafx.scene.layout.ColumnConstraints;
import javafx.scene.layout.GridPane;
import javafx.scene.layout.Priority;
import javafx.scene.layout.RowConstraints;


public class EssensverwaltungMitarbeiterView {
	@FXML
	private GridPane tagesplan;

	public void initialize(){
		for (int i = 0; i < tagesplan.getColumnCount(); i++) {
			ColumnConstraints cc = new ColumnConstraints();
			cc.setHgrow(Priority.ALWAYS);
			cc.setFillWidth(true);
			tagesplan.getColumnConstraints().add(cc);
		}
		VerwaltungApplication.responsiveBreiteGrid(tagesplan);

		tagesplan.heightProperty().addListener((obs,oldValue,newValue) -> {
			final int zeile = 1;
			for (Node n : tagesplan.getChildren()){
				if(n instanceof Control  && GridPane.getRowIndex(n) == zeile){
					((Control) n).setPrefHeight(newValue.floatValue());
				}
			}
		});

	}
	public void onAbmelden(ActionEvent actionEvent) {
		VerwaltungApplication.sceneWechseln("login-view.fxml");
	}

	public void onFilter(ActionEvent actionEvent) {
	}

	public void onHinzufuegen(ActionEvent actionEvent) {
	}

	public void onZurueck(ActionEvent actionEvent) {
	}

}
